%define upstream_name    Date-Pcalc
%define upstream_version 6.1

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Pure-Perl drop-in replacement for Date::Calc
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Date/%{upstream_name}-%{upstream_version}.tar.gz
patch0:     Date-Pcalc-6.1-fix_perl_516_boolean.patch

BuildRequires:	perl(Bit::Vector)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl-devel


%description
  'use Date::Pcalc qw( Days_in_Year Days_in_Month ... );'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .boolean

%build
echo c | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.100.0-7.mga3
+ Revision: 365544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 6.100.0-6.mga3
+ Revision: 335981
- Automatically answer to the Makefile.PL question (C or pure perl)

* Thu May 31 2012 jquelin <jquelin> 6.100.0-5.mga3
+ Revision: 252146
- fix perl 5.16 build
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 6.100.0-4.mga2
+ Revision: 104117
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 6.100.0-3.mga1
+ Revision: 31892
- mageia rebuild
- imported package perl-Date-Pcalc

